#ifndef __COLLISION
#define __COLLISION

#define kCarCollisionRate 1
#define kSolidCollisionRate 5

#define kSolidEntityNetworkMass 100

void ApplyImpulse(tGameEntity *entity,tVector3 attackPoint,tVector3 veloDiff,float rotationFactor,int net);
float GetGroundOffset(tVector3 point,int *lastRoadIndex,tVector3 *normal,int *surfaceType);
float GetGroundOffsetAndBump(tVector3 point,int *lastRoadIndex,tVector3 *normal,int *surfaceType,float *bump);
void SolidCheckCollision(tGameEntity *entity);
void CollisionFrame();

#endif